#include <stdint.h>
#include <msp430.h> 
#include <stdio.h>
#include <string.h>
#include "driverlib/driverlib.h"
#include "PPM.h"
#include "Commanding.h"
/**
 * main.c
 */

void CommandReceived(uint8_t commandId, uint16_t value)
{
    if(commandId <= Commanding_MaxChannel)
    {
        PPM_SetChannel(commandId, value);
    }
    else if(commandId == Commanding_StartCommandId)
    {
        //Start
    }
    else if(commandId == Commanding_StopCommandId)
    {
        //Stop?
    }
}

int main(void)
{
    WDT_A_hold(WDT_A_BASE);

    CS_setDCOFreq(CS_DCORSEL_1 ,CS_DCOFSEL_3);
    CS_initClockSignal(CS_ACLK,CS_DCOCLK_SELECT,CS_CLOCK_DIVIDER_4);
    CS_initClockSignal(CS_SMCLK,CS_DCOCLK_SELECT,CS_CLOCK_DIVIDER_2);
    CS_initClockSignal(CS_MCLK,CS_DCOCLK_SELECT,CS_CLOCK_DIVIDER_1);

    PPM_Initialize();
    Commanding_Initialize(CommandReceived);

    while(1);

   //Enter LPM0, enable interrupts
   //__bis_SR_register(LPM0_bits + GIE);

   //For debugger
   //__no_operation();
}

